org.keycloak.exportimport.util

## Class MultipleStepsExportProvider

- java.lang.Object
- - org.keycloak.exportimport.util.MultipleStepsExportProvider

- All Implemented Interfaces:
    ExportProvider, Provider
  Direct Known Subclasses:
    DirExportProvider

      public abstract class MultipleStepsExportProvider
      extends Object
      implements ExportProvider

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MultipleStepsExportProvider.FederatedUsersHolder`
    `static class` | `MultipleStepsExportProvider.RealmsHolder`
    `static class` | `MultipleStepsExportProvider.UsersHolder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultipleStepsExportProvider()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportModel(KeycloakSessionFactory factory)`
    `void` | `exportRealm(KeycloakSessionFactory factory, String realmName)`
    `protected void` | `exportRealmImpl(KeycloakSessionFactory factory, String realmName)`
    `protected abstract void` | `writeFederatedUsers(String fileName, KeycloakSession session, RealmModel realm, List<String> users)`
    `protected abstract void` | `writeRealm(String fileName, RealmRepresentation rep)`
    `protected abstract void` | `writeUsers(String fileName, KeycloakSession session, RealmModel realm, List<UserModel> users)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Field Detail

    - #### logger

          protected final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### MultipleStepsExportProvider

          public MultipleStepsExportProvider()

  - ### Method Detail

    - #### exportModel

          public void exportModel(KeycloakSessionFactory factory)
                           throws IOException

      Specified by:
        `exportModel` in interface `ExportProvider`
      Throws:
        `IOException`

    - #### exportRealm

          public void exportRealm(KeycloakSessionFactory factory,
                                  String realmName)
                           throws IOException

      Specified by:
        `exportRealm` in interface `ExportProvider`
      Throws:
        `IOException`

    - #### exportRealmImpl

          protected void exportRealmImpl(KeycloakSessionFactory factory,
                                         String realmName)
                                  throws IOException

      Throws:
        `IOException`

    - #### writeRealm

          protected abstract void writeRealm(String fileName,
                                             RealmRepresentation rep)
                                      throws IOException

      Throws:
        `IOException`

    - #### writeUsers

          protected abstract void writeUsers(String fileName,
                                             KeycloakSession session,
                                             RealmModel realm,
                                             List<UserModel> users)
                                      throws IOException

      Throws:
        `IOException`

    - #### writeFederatedUsers

          protected abstract void writeFederatedUsers(String fileName,
                                                      KeycloakSession session,
                                                      RealmModel realm,
                                                      List<String> users)
                                               throws IOException

      Throws:
        `IOException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.